<%--
  Copyright 2009, Oracle and its affiliates. All rights reserved.
  ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 
  @(#)encodetestCaption.jsp	1.1 09/30/05
--%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>

<%@ include file="include.jsp"%>

<html>
    <head>
        <title>encodetest</title>
        <style type="text/css">
            caption.sansserif {
                font-family: sans-serif
            }        
        </style>
    </head>
    
    <body>
        <f:view>
            
            <%--
        Table with Caption 
            --%>
            <h:dataTable id="data1" 
                         value="#{requestScope.DataList}" 
                         var="data1">
                <f:facet name="caption">
                    <h:outputText value="Caption Text For Data1"/>
                </f:facet>
                <f:facet name="header">
                    <h:outputText value="#{'Header Text For Data1'}"/>
                </f:facet>
                <h:column>
                    <h:outputText value="#{data1.name}"/>
                </h:column>
                <h:column>
                    <h:outputText value="#{data1.gender}"/>
                </h:column>
                <h:column>
                    <h:outputText value="#{data1.age}"/>
                </h:column>
                <f:facet name="footer">
                    <h:outputText value="Footer Text For Data1"/>
                </f:facet>
            </h:dataTable>    
            
            <h:dataTable id="data2" 
                         value="#{requestScope.DataList}"
                         var="data2"
                         captionStyle="Color: red;">
                <f:facet name="caption">
                    <h:outputText value="Caption Text For Data2"/>
                </f:facet>
                <f:facet name="header">
                    <h:outputText value="#{'Header Text For Data2'}"/>
                </f:facet>
                <h:column>
                    <h:outputText value="#{data2.name}"/>
                </h:column>
                <h:column>
                    <h:outputText value="#{data2.gender}"/>
                </h:column>
                <h:column>
                    <h:outputText value="#{data2.age}"/>
                </h:column>
                <f:facet name="footer">
                    <h:outputText value="Footer Text For Data2"/>
                </f:facet>
            </h:dataTable>
            
            <h:dataTable id="data3"
                         value="#{requestScope.DataList}" 
                         var="data3" 
                         captionClass="sansserif">
                <f:facet name="caption">
                    <h:outputText value="Caption Text For Data3"/>
                </f:facet>
                <f:facet name="header">
                    <h:outputText value="#{'Header Text For Data3'}"/>
                </f:facet>
                <h:column>
                    <h:outputText value="#{data3.name}"/>
                </h:column>
                <h:column>
                    <h:outputText value="#{data3.gender}"/>
                </h:column>
                <h:column>
                    <h:outputText value="#{data3.age}"/>
                </h:column>
                <f:facet name="footer">
                    <h:outputText value="Footer Text For Data3"/>
                </f:facet>
            </h:dataTable>
            
            <h:dataTable id="data4" 
                         value="#{requestScope.DataList}" 
                         var="data4" 
                         captionClass="sansserif"
                         captionStyle="Color: red;">
                <f:facet name="caption">
                    <h:outputText value="Caption Text For Data4"/>
                </f:facet>
                <f:facet name="header">
                    <h:outputText value="#{'Header Text For data4'}"/>
                </f:facet>
                <h:column>
                    <h:outputText value="#{data4.name}"/>
                </h:column>
                <h:column>
                    <h:outputText value="#{data4.gender}"/>
                </h:column>
                <h:column>
                    <h:outputText value="#{data4.age}"/>
                </h:column>
                <f:facet name="footer">
                    <h:outputText value="Footer Text For data4"/>
                </f:facet>
            </h:dataTable>
            
            <h:dataTable id="data5" 
                         value="#{requestScope.DataList}" 
                         var="data5" 
                         captionClass="sansserif"
                         captionStyle="Color: red;">
                <f:facet name="colgroups"> 
                    <h:panelGroup>
                        <colgroup id="lefty" align="left"/>
                        <colgroup id="middle" align="center"/>
                        <colgroup id="righty" align="right"/>
                    </h:panelGroup>
                </f:facet>
                <f:facet name="header">
                    <h:outputText value="Header Text For Data5"/>
                </f:facet>
                <h:column>
                    <h:outputText value="#{data5.name}"/>
                </h:column>
                <h:column>
                    <h:outputText value="#{data5.gender}"/>
                </h:column>
                <h:column>
                    <h:outputText value="#{data5.age}"/>
                </h:column>
            </h:dataTable>
            
        </f:view>
    </body>
</html>
